# List Consumer Wallets

Lists the Consumer Wallets for a Crypto Customer.

## Request

```curl
curl https://api.stripe.com/v1/crypto/customers/crc_1ABC2DEF3ghi4jkl5/crypto_consumer_wallets \
  -u "<<YOUR_SECRET_KEY>>"
```

### Response

```json
{
  "url": "/v1/crypto/customers/crc_1ABC2DEF3ghi4jkl5/crypto_consumer_wallets",
  "data": [
    {
      "id": "ccw_1XYZ9ABC2def3ghi",
      "livemode": false,
      "network": "ethereum",
      "wallet_address": "{{WALLET_ADDRESS}}"
    }
  ],
  "count": 1,
  "has_more": false
}
```

## Returns

Returns a ListConsumerWalletResource object

## Parameters

- `ending_before` (string, optional)
  A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.

- `limit` (integer, optional)
  A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

- `starting_after` (string, optional)
  A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.
